Skip to main content
GET
/
api
/
v1
/
collections
/
s3-statuses
List Collection S3 Statuses
import requests

url = "https://www.datalab.to/api/v1/collections/s3-statuses"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
curl --request GET \
--url https://www.datalab.to/api/v1/collections/s3-statuses \
--header 'X-API-Key: <api-key>'
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://www.datalab.to/api/v1/collections/s3-statuses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://www.datalab.to/api/v1/collections/s3-statuses"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "statuses": [
    {
      "collection_id": 123,
      "sync_status": "<string>",
      "writeback_status": "<string>"
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

X-API-Key
string
header
required

Query Parameters

include_archived
boolean
default:false

Cookies

wos-session
string
datalab_active_team
string

Response

Successful Response

statuses
CollectionS3StatusResponse · object[]
required